from pydal import DAL, Field
db = DAL("sqlite://databases/storage.db")
db.define_table(
    "trusted",
    Field("path"),
    Field("mode"),
    Field("trusted"),
    Field("duration",type="double",default=0),#audio
    Field("sizeMB",type="double",default=0),# audio,factura
    Field("length",type="integer",default=0),#texto
    Field('last_modified', 'datetime'),
    Field('modification_count', 'integer', default=0)
)
db.define_table(
    "analitic_voice",
    Field("content"),
    Field("trusted"),
    Field("model"),
    Field("time", type="double"),
    Field("path"),
    Field("similarity", type="double"),
    Field("similaritypartial", type="double"),
    Field('last_modified', 'datetime')  
)

db.define_table(
    "analitic_ocr",
    Field("content"),
    Field("trusted"),
    Field("model"),
    Field("time", type="double"),
    Field("path"),
    Field("similarity", type="double"),
    Field("similaritypartial", type="double"),
    Field("jsonok" ,type="integer"),
    Field('last_modified', 'datetime')  
)

db.define_table(
    "analitic_llm_compra",
    Field("content"),
    Field("trusted"),
    Field("model"),
    Field("time", type="double"),
    Field("path"),
    Field("similarity", type="double"),
    Field("similaritypartial", type="double"),
    Field('last_modified', 'datetime')    
)

db.define_table(
    "analitic_llm_factura",
    Field("content"),
    Field("trusted"),
    Field("model"),
    Field("time", type="double"),
    Field("path"),
    Field("similarity", type="double"),
    Field("similaritypartial", type="double"),
    Field('last_modified', 'datetime')    
)

db.define_table(
    "analitic_llm_generaciontexto",
    Field("content"),
    Field("trusted"),
    Field("model"),
    Field("time", type="double"),
    Field("path"),
    Field("similarity", type="double"),
    Field("similaritypartial", type="double"),
    Field('last_modified', 'datetime')    
)

db.define_table(
    "analitic_llm_rag",
    Field("content"),
    Field("trusted"),
    Field("model"),
    Field("time", type="double"),
    Field("path"),
    Field("similarity", type="double"),
    Field("similaritypartial", type="double"),
    Field('last_modified', 'datetime')    
)